v1.0
get
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/subjects/{subjectId}/doseheld-history
Get dose hold history for current subject. Rights: OrsSubjectVisitGet
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B -
subjectId(required): string(uuid)
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : KitDoseHeldHistoryTO v1.0
Type:
objectTitle:
KitDoseHeldHistoryTO v1.0Contains dose hold history for a kit.
Show Source
-
canBeDispensed: boolean
Indicate if the dosehold kit can be dispensed.Example:
true -
instanceNumber: number
(BigDecimal)
Title:
Instance NumberMinimum Value:1Visit instance number.Example:2 -
objectVersionNumber: number
(BigDecimal)
Object version number.Example:
5 -
userId: string
(uuid)
User ID.
-
versionEnd: string
(date-time)
Version end date.
-
versionStart: string
(date-time)
The timestamp marking the beginning of the validity period for this record version within the system.
-
visitId: string
(uuid)
Title:
Visit IDUnique identifier (UUID, 32-character uppercase hexadecimal string) of the visit
Examples
400 Response
Invalid subject OR Scheduled visit with instance number OR Unscheduled visit with no instance number
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples